export declare type NikResult = {
    isValid: Boolean;
    provinsi: String;
    kota: String;
    kecamatan: String;
    kodepos: String | null;
    kelamin: String;
    lahir: String;
    umur: Number;
    uniqcode: String;
};
export declare type NikResultInvalid = {
    isValid: Boolean;
};
declare class ParseNIK {
    NIK: string;
    private date;
    private month;
    private year;
    private gender;
    private provinsi;
    private kota;
    private kecamatan;
    constructor(NIK: string);
    private parseNIK;
    private getCurrentYear;
    private getYearFull;
    private getMonthFull;
    private getNIKDate;
    private getDateFull;
    private getGender;
    private getDateString;
    private getUniqueCode;
    parse(): NikResult | NikResultInvalid;
    validate(): boolean;
}
export declare function parseNIK(nik: any): ParseNIK;
export {};
